> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get currency



## OpenAPI

````yaml get /currency/{symbol}
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /currency/{symbol}:
    get:
      tags:
        - Currency
      operationId: CurrencyController_getCurrency
      parameters:
        - name: symbol
          required: true
          in: path
          schema:
            type: string
        - name: datetime
          required: false
          in: query
          description: Gets currency that is less than or equal to this datetime
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyEntity'
components:
  schemas:
    CurrencyEntity:
      type: object
      properties:
        id:
          format: int64
          type: integer
        amount:
          type: number
        datetime:
          format: date-time
          type: string
        symbol:
          type: string
      required:
        - id
        - amount
        - datetime
        - symbol

````